get revoked token ids.md
Get revoked token IDs
Management API · Auth
GET https://app.mk.io/.well-known/revoked.json
Get a list of revoked token IDs. These will be the ID values found in the jti property of the decoded JWT.
If the jti value matches one of the IDs in the returned list then it should be considered as revoked and treated as invalid.
No permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Example request
curl -X GET "https://app.mk.io/.well-known/revoked.json" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
revokedTokens· list of strings · Required — List of token IDs that are revoked.- Array items (string):
Example:
{
"revokedTokens": [
"e90ee585-1169-4888-b361-11fb446d10e0",
"491d6f8b-68eb-4e80-a1aa-88c01d0f20e5"
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/.well-known/revoked.json